org.gradle.api.artifacts.transform

## Class ArtifactTransform

- java.lang.Object
- - org.gradle.api.artifacts.transform.ArtifactTransform

-     @Incubating
      public abstract class ArtifactTransform
      extends Object

  Base class for artifact transformations.
  Since:
    3.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactTransform()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `configure(AttributeContainer from, ArtifactTransformTargets targetRegistry)`
    `File` | `getOutputDirectory()`
    `void` | `setOutputDirectory(File outputDirectory)`
    `abstract List<File>` | `transform(File input, AttributeContainer target)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactTransform

          public ArtifactTransform()

  - ### Method Detail

    - #### getOutputDirectory

          public File getOutputDirectory()

    - #### setOutputDirectory

          public void setOutputDirectory(File outputDirectory)

    - #### configure

          public abstract void configure(AttributeContainer from,
                       ArtifactTransformTargets targetRegistry)

    - #### transform

          public abstract List<File> transform(File input,
                             AttributeContainer target)